diff -ur rsct.core-3.1.0.7.orig/debian/postinst rsct.core-3.1.0.7/debian/postinst
--- rsct.core-3.1.0.7.orig/debian/postinst	2011-12-25 14:38:58.000000000 +0100
+++ rsct.core-3.1.0.7/debian/postinst	2011-12-25 14:33:41.000000000 +0100
@@ -446,18 +446,6 @@
 
 # Post-install script ----------------------------------------------------------------------------
 
-# Function that tells whether the installation is on chroot directory(ex. SuSE kiwi environment) or not. Fix for defect 176977.
-is_chroot_mode()
-{
-    OS=$(uname -s)
-    if [[ $OS = "Linux" ]]; then
-	if [[ "$(/usr/bin/stat -c %d:%i /)" != "$(/usr/bin/stat -c %d:%i /proc/1/root/.)" ]]; then
-	    return 1
-	fi
-    fi
-    return 0
-}
-
 # Create the configuration directories
 mkdir -p /var/ct
 chmod 755 /var/ct
@@ -468,43 +456,31 @@
 mkdir -p /var/ct/lck
 chmod 755 /var/ct/lck
 
-if [ "$1" = 1 ]
-then
-  
-  # Invoke the general configuration script for rsct
-  /usr/sbin/rsct/install/bin/cfgct
-
+if [ "$1" = "configure" ]; then
+    # Invoke the general configuration script for rsct
+    /usr/sbin/rsct/install/bin/cfgct
 else
-    # Check if update processing is required
-    if [ "$1" = 2 ] 
-    then
-        # ERRM needs to be started to check if there is any active Condition.
-        touch /var/ct/cfg/ERRM.autostart
-
-		# Migrate the system registries
-		/usr/sbin/rsct/install/bin/sr_migrate linux
-
-		# Add the ctcas subsystem
-		/usr/sbin/rsct/bin/ctcasctrl -a
-		if [ $? -ne 0 ]
-		then
-			echo "Warning: An error was returned by ctcasctrl while attempting to add the ctcas subsystem, exit code=$?"
-		fi
-		# Re-add RMC subsystem which will rebuild CDB if necessary 
-		# If chroot mode just add, don't start RMC subsystem
-		is_chroot_mode
-		if [[ $? -eq 0 ]]; then
-                        /usr/sbin/rsct/bin/rmcctrl -A
-                else
-                        /usr/sbin/rsct/bin/rmcctrl -a
-                fi
-		rc=$?
-		if [ $rc -ne 0 ]
-		then
-			echo "Warning: An error was returned by rmcctrl while attempting to add the rmc subsystem, exit code=$rc"
-			exit 1
-		fi
+    # ERRM needs to be started to check if there is any active Condition.
+    touch /var/ct/cfg/ERRM.autostart
+
+    # Migrate the system registries
+    /usr/sbin/rsct/install/bin/sr_migrate linux
+
+    # Add the ctcas subsystem
+    /usr/sbin/rsct/bin/ctcasctrl -a
+    RC=$?
+    if [ ${RC} -ne 0 ]; then
+        echo "Warning: An error was returned by ctcasctrl while attempting to add the ctcas subsystem, exit code=${RC}"
+    fi
+    # Re-add RMC subsystem which will rebuild CDB if necessary 
+    /usr/sbin/rsct/bin/rmcctrl -A
+    RC=$?
+    if [ ${RC} -ne 0 ]; then
+        echo "Warning: An error was returned by rmcctrl while attempting to add the rmc subsystem, exit code=${RC}"
+        exit 1
     fi
 fi
 
-true
\ No newline at end of file
+exit 0
+#
+# EOF
diff -ur rsct.core-3.1.0.7.orig/debian/preinst rsct.core-3.1.0.7/debian/preinst
--- rsct.core-3.1.0.7.orig/debian/preinst	2011-12-25 14:38:58.000000000 +0100
+++ rsct.core-3.1.0.7/debian/preinst	2011-12-25 14:20:51.000000000 +0100
@@ -1,43 +1,34 @@
 #!/bin/bash
 # Pre-install script ----------------------------------------------------------------------------
 
-# Function that tells whether the installation is on chroot directory(ex. SuSE kiwi environment) or not. Fix for defect 176977.
-is_chroot_mode()
-{
-    OS=$(uname -s)
-    if [[ $OS = "Linux" ]]; then
-	if [[ "$(/usr/bin/stat -c %d:%i /)" != "$(/usr/bin/stat -c %d:%i /proc/1/root/.)" ]]; then
-	    return 1
-	fi
-    fi
-    return 0
-}
-
 # check the sanity of iconv
 if [ -x /usr/sbin/rsct/install/bin/ctchkiconv ]; then
     MSG=`/usr/sbin/rsct/install/bin/ctchkiconv 2>&1`
     if [ $? -eq 1 ]; then
        echo ""
        echo "$MSG"
-       echo "This system does not support codeset conversion that RSCT needs. Installation will stop."
-       echo "Please refer to the RSCT Administration Guide for additional RPMs that are required."
+       echo "This system does not support codeset conversion that RSCT needs."
+       echo "Installation will stop. Please refer to the RSCT Administration"
+       echo "Guide for additional RPMs that are required."
        echo ""
        exit 1
     fi
 fi
-# Do any preprocessing for an update -- stop RMC daemon and resource managers( if not chroot mode)
-is_chroot_mode
-if [[ $? -eq 0 ]]; then
-    if [ "$1" = 2 ]
-    then
-	# Stop RMC subsystem and resource managers -- wait for completion
-	/usr/sbin/rsct/bin/rmcctrl -z
-	if [ $? -ne 0 ]
-	then
-	    echo 'Warning: some of the RMC resource managers did not stop while attempting to stop them.  You may have to manually stop them using "stopsrc -g rsct_rm". You can check their status using "lssrc -a". After manually stopping a resource manager, you must also restart it manually or use "rmcctrl -k" followed by "rmcctrl -s" to enable them to be restarted automatically.'
-	fi
+# Do any preprocessing for an update -- stop RMC daemon and resource managers
+if [ "$1" = "upgrade" ]; then
+    # Stop RMC subsystem and resource managers -- wait for completion
+    /usr/sbin/rsct/bin/rmcctrl -z
+    if [ $? -ne 0 ]; then
+        echo "Warning: some of the RMC resource managers did not stop while"
+        echo "attempting to stop them.  You may have to manually stop them"
+        echo "using \"stopsrc -g rsct_rm\". You can check their status using"
+        echo "\"lssrc -a\". After manually stopping a resource manager, you"
+        echo "must also restart it manually or use \"rmcctrl -k\" followed by"
+        echo "\"rmcctrl -s\" to enable them to be restarted automatically."
+        exit 1
     fi
 fi
 
-#Pre-install success
-true
\ No newline at end of file
+exit 0
+#
+# EOF
diff -ur rsct.core-3.1.0.7.orig/debian/prerm rsct.core-3.1.0.7/debian/prerm
--- rsct.core-3.1.0.7.orig/debian/prerm	2011-12-25 14:38:58.000000000 +0100
+++ rsct.core-3.1.0.7/debian/prerm	2011-12-25 14:03:59.000000000 +0100
@@ -1,16 +1,14 @@
 #!/bin/bash
 # Pre-uninstall script ------------------------------------------------------------------------------
 
-if [ "$1" = 0 ]
-then
-
+if [ "$1" = "remove" ]; then
   # Invoke unconfig perl script
   /usr/sbin/rsct/install/bin/uncfgct
 
   # Remove /var/ct
   rm -rf /var/ct
-
 fi
 
-# Claim success
-true
\ No newline at end of file
+exit 0
+#
+# EOF
diff -ur rsct.core-3.1.0.7.orig/usr/sbin/rsct/bin/trap2rmc rsct.core-3.1.0.7/usr/sbin/rsct/bin/trap2rmc
--- rsct.core-3.1.0.7.orig/usr/sbin/rsct/bin/trap2rmc	2011-10-04 15:22:28.000000000 +0200
+++ rsct.core-3.1.0.7/usr/sbin/rsct/bin/trap2rmc	2011-12-26 15:58:01.000000000 +0100
@@ -182,7 +182,7 @@
 
     # make sure that this trap did not come from the localhost:
     # get all the possible local ip addresses:
-    my $cmd = "/sbin/ifconfig | /bin/grep inet | /bin/awk '{print \$2}'";
+    my $cmd = "/sbin/ifconfig | /bin/grep inet | /usr/bin/awk '{print \$2}'";
     chomp(my @inets = `$cmd`);
     if($? >> 8){
 	print "ERROR RUNNING: $cmd";
diff -ur rsct.core-3.1.0.7.orig/usr/sbin/rsct/install/bin/cfgct rsct.core-3.1.0.7/usr/sbin/rsct/install/bin/cfgct
--- rsct.core-3.1.0.7.orig/usr/sbin/rsct/install/bin/cfgct	2011-10-04 15:21:00.000000000 +0200
+++ rsct.core-3.1.0.7/usr/sbin/rsct/install/bin/cfgct	2011-12-26 15:56:01.000000000 +0100
@@ -210,7 +210,7 @@
 elif [[ $OS = "SunOS" ]]; then
         MID=$(makeuuid)
 else
-	MID=$(uuidgen)
+	MID=$(uuid)
 fi
 
 # create directories, using the machine ID as the cluster ID
diff -ur rsct.core-3.1.0.7.orig/usr/sbin/rsct/install/bin/cfgrmcsnmp rsct.core-3.1.0.7/usr/sbin/rsct/install/bin/cfgrmcsnmp
--- rsct.core-3.1.0.7.orig/usr/sbin/rsct/install/bin/cfgrmcsnmp	2011-10-04 15:22:28.000000000 +0200
+++ rsct.core-3.1.0.7/usr/sbin/rsct/install/bin/cfgrmcsnmp	2011-12-26 15:56:52.000000000 +0100
@@ -117,7 +117,7 @@
     # then stop it and restart it again so that it reads our new
     # snmptrapd.conf configuration file. Then the process
 
-    chomp(my $pid= `/bin/ps -ef | /bin/grep snmptrapd | /bin/grep -v grep | /bin/awk '{print \$2}'`);
+    chomp(my $pid= `/bin/ps -ef | /bin/grep snmptrapd | /bin/grep -v grep | /usr/bin/awk '{print \$2}'`);
     if($pid){ 
         `/bin/kill -9 $pid`;
     }
@@ -133,7 +133,7 @@
     # if it's running then we just leave.  Otherwise, if we don't get A PID, then we 
     # assume that it isn't running, and start it up again!
 
-    chomp(my $pid= `/bin/ps -ef | /bin/grep snmpd | /bin/grep -v grep | /bin/awk '{print \$2}'`);
+    chomp(my $pid= `/bin/ps -ef | /bin/grep snmpd | /bin/grep -v grep | /usr/bin/awk '{print \$2}'`);
     unless($pid){ 
         # start it up again!
 	#print "Starting thE snmpd!\n";
@@ -191,7 +191,7 @@
     # now check to see if the daemon is running.  If it is then we need to restart
     # it with the new snmptrapd.conf file that will not forward events to RMC.
     my $pid="";
-    chomp($pid= `/bin/ps -ef | /bin/grep snmptrapd | /bin/grep -v grep | /bin/awk '{print $\2}'`);
+    chomp($pid= `/bin/ps -ef | /bin/grep snmptrapd | /bin/grep -v grep | /usr/bin/awk '{print $\2}'`);
     if($pid){
 	`/bin/kill -9 $pid`;
 	# start it up again!
diff -ur rsct.core-3.1.0.7.orig/usr/sbin/rsct/man/mksensor.1 rsct.core-3.1.0.7/usr/sbin/rsct/man/mksensor.1
--- rsct.core-3.1.0.7.orig/usr/sbin/rsct/man/mksensor.1	2011-10-04 15:22:30.000000000 +0200
+++ rsct.core-3.1.0.7/usr/sbin/rsct/man/mksensor.1	2011-12-26 15:58:39.000000000 +0100
@@ -318,12 +318,12 @@
 
       2. To create a sensor called Sensor1 with a sensor_command value of
           
-         df -m /var | sed '1d' | sed 's/%//g' | /bin/awk '{ print "Int32="$4}', 
+         df -m /var | sed '1d' | sed 's/%//g' | /usr/bin/awk '{ print "Int32="$4}', 
 
          enter:
 	  
          mksensor Sensor1 "df -m /var | \ 
-	 sed '1d' | sed 's/%//g' | /bin/awk '{ print \"Int32=\"\$4}'"
+	 sed '1d' | sed 's/%//g' | /usr/bin/awk '{ print \"Int32=\"\$4}'"
 
          When sensor_command is enclosed in double quotation marks, you
          must include a backslash escape character (\) before an "inner"
@@ -358,4 +358,4 @@
       Commands: chsensor, lssensor, mkcondition, mkresponse, refsensor,
       rmsensor, startcondresp
 
-      Man pages:  rmccli, for information about attr=value syntax
\ No newline at end of file
+      Man pages:  rmccli, for information about attr=value syntax
diff -ur rsct.core-3.1.0.7.orig/debian/control rsct.core-3.1.0.7/debian/control
--- rsct.core-3.1.0.7.orig/debian/control	2011-10-04 15:22:30.000000000 +0200
+++ rsct.core-3.1.0.7/debian/control	2011-12-26 16:04:05.000000000 +0100
@@ -4,7 +4,7 @@
 Maintainer: root <root@ststnagios02.lan.ssbag>
 
 Package: rsct.core
-Architecture: ppc64
+Architecture: powerpc
 Depends: ${shlibs:Depends}
 Description: Reliable Scalable Cluster Technology
  rsct.core provides all the Resource Monitioring and Control (RMC) functionality
